Get collection
Get a collection by ID with source name.
GET
/collections/{id}
Get a collection by ID with source name.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Collection detail
application/jsoncollection
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
source_id
string
REQUIRED
primary_key_path
string
REQUIRED
event_type_field
string | null
REQUIRED
description
string | null
REQUIRED
status
string
REQUIRED
record_count
integer
REQUIRED
last_sync_at
string | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
backfill_status
string | null
REQUIRED
backfill_progress
integer | null
REQUIRED
backfill_total
integer | null
REQUIRED
backfill_cursor
string | null
REQUIRED
backfill_started_at
string | null
REQUIRED
backfill_completed_at
string | null
REQUIRED
backfill_error
string | null
REQUIRED
source_name
string | null
REQUIRED
401
Unauthorized
404
Not found
curl -X GET 'https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "collection": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "slug": "<string>", "source_id": "<string>", "primary_key_path": "<string>", "event_type_field": "<string>", "description": "<string>", "status": "<string>", "record_count": 123, "last_sync_at": "<string>", "created_at": "<string>", "updated_at": "<string>", "backfill_status": "<string>", "backfill_progress": 123, "backfill_total": 123, "backfill_cursor": "<string>", "backfill_started_at": "<string>", "backfill_completed_at": "<string>", "backfill_error": "<string>", "source_name": "<string>" }}
API Playground
Try this endpoint
GET
/collections/{id}